<template>
  <div>
    <div v-if="!isEmpty(nodeData)">
      <button @click="delItem">X</button>
    </div>
  </div>
</template>

<script>
import _ from 'lodash'

import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
  },

  props: {
    node: {
      type: Object,
      required: true
    },
    path: {
      type: Array,
      required: true
    }
    // config: {
    //   type: Object,
    //   required: true
    // }
  },

  data () {
    return {
    }
  },

  computed: {
    ...mapGetters({
      getFieldConfig: 'Y3TI/getFieldConfig'
    }),

    config () {
      return this.getFieldConfig({ node: this.node, path: this.path })
    },

    nodeData () {
      return _.isEmpty(this.path) ? this.node : _.get(this.node, this.path, {})
    }
  },

  methods: {
    ...mapActions({
      pullEditableFieldData: 'Y3TI/pullEditableFieldData',
      storeEditableFieldData: 'Y3TI/storeEditableFieldData'
    }),

    isEmpty: _.isEmpty,

    delItem () {
      if (this.config.multi) {
        this.pullEditableFieldData({ data: { path: this.path, node: this.node, config: this.config } })
      } else {
        this.storeEditableFieldData({ data: { node: this.node, path: this.path, input: null } })
      }
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
